#
#IGD 2006/11/17  Added QLIB2 location required for ms2tb
QLIB_DIR = ../../libsrc/qlib2/

CFLAGS = $(GLOBALFLAGS) -I$(QLIB_DIR)

B = $(EW_HOME)/$(EW_VERSION)/bin
L = $(EW_HOME)/$(EW_VERSION)/lib

LIBS = $L/swap.o $L/time_ew.o $L/logit.o $L/kom.o
RTLIBS = $L/transport.o $L/swap.o $L/time_ew.o $L/getutil.o $L/logit.o $L/sleep_ew.o $L/kom.o -lrt


all: remux_tbuf sac2tb ms2tb ring2tank tankcut tanksniff wsvtank2tb
	
remux_tbuf: remux_tbuf.o remux_code.o $(LIBS)
	cc -g -o $B/remux_tbuf remux_code.o remux_tbuf.o $L/chron3.o $(LIBS) -lrt $(LINK_LIBS)
	
sac2tb: sac2tb.o $(LIBS)
	cc -g -o $B/sac2tb sac2tb.o $(LIBS) -lrt

ring2tank: ring2tank.o $(LIBS)
	cc -g -o $B/ring2tank ring2tank.o $(RTLIBS)

ms2tb: ms2tb.o $(LIBS) read_mseed_data.o
	cc -g -o $B/ms2tb ms2tb.o read_mseed_data.o -L$(L) -L$(QLIB_DIR) -lqlib2nl -lm

tanksniff: tanksniff.o $(LIBS)
	cc -g -o $B/tanksniff tanksniff.o $(LIBS) -lrt

tankcut: tankcut.o remux_code.o
	cc -g -o $B/tankcut tankcut.o remux_code.o $L/chron3.o $(RTLIBS)  $(LINK_LIBS)

wsvtank2tb: wsvtank2tb.o
	$(CC) $(CFLAGS) -g -o $B/wsvtank2tb wsvtank2tb.o $L/kom.o $L/swap.o $L/time_ew.o $L/logit.o -lrt


.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c  $(OUTPUT_OPTION) $<

# Clean-up rules
clean:
	rm -f a.out core *.o *.obj *% *~

clean_bin:
	rm -f $B/remux_tbuf* $B/sac2tb* $B/ms2tb* $B/tankcut $B/tankcut $B/dc2tank $B/ms2tank $B/tanksniff $B/ring2tank $B/tr2dump $B/wsvtank2tb

